org.apache.poi.hsmf.datatypes

## Class NameIdChunks

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.NameIdChunks

- All Implemented Interfaces:
    ChunkGroup

      public final class NameIdChunks
      extends java.lang.Object
      implements ChunkGroup

  Collection of convenience chunks for the NameID part of an outlook file

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameIdChunks()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `chunksComplete()` Used to flag that all the chunks of the NameID have now been located.
    `Chunk[]` | `getAll()`
    `Chunk[]` | `getChunks()` Returns the chunks that make up the group.
    `void` | `record(Chunk chunk)` Called by the parser whenever a chunk is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NameIdChunks

          public NameIdChunks()

  - ### Method Detail

    - #### getAll

          public Chunk[] getAll()

    - #### getChunks

          public Chunk[] getChunks()

      Description copied from interface: `ChunkGroup`
      Returns the chunks that make up the group. Should certainly contain all the interesting Chunks, but needn't always contain all of the Chunks.
      Specified by:
        `getChunks` in interface `ChunkGroup`

    - #### record

          public void record(Chunk chunk)

      Called by the parser whenever a chunk is found.
      Specified by:
        `record` in interface `ChunkGroup`

    - #### chunksComplete

          public void chunksComplete()

      Used to flag that all the chunks of the NameID have now been located.
      Specified by:
        `chunksComplete` in interface `ChunkGroup`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.